<nav class="navbar navbar-expand-md navbar-dark bg-ls-dark fixed-top" style="height: 30px">
    <a class="nav-item mr-3" href="/">
        <img style="height: 22px; padding-bottom: 2px;" src="{{ asset('assets/img/logo-white-blue.svg') }}"
             alt="{{ product_name}}" class="img-fluid">
    </a>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto"></ul>
        {% if app.user %}
            <ul class="navbar-nav">
                <a class="btn" title="Foire aux questions" href="{{ path('app_article_faq') }}">
                    <i class="fas fa-question-circle fa-white"></i>
                </a>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false">
                        {% if app.user.currentOrganisation.raisonsociale is defined %}
                            {{ app.user.nomcomplet }} - {{ app.user.currentOrganisation.raisonsociale }}
                        {% else %}
                            {{ app.user.nomcomplet }}
                        {% endif %}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        <a id="btn_change_organisation" href="#" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#modal-change-organisation">
                            <span class="fas fa-sign-in-alt"></span>
                            Changer d'organisation
                        </a>

                        <div class="dropdown-divider"></div>

                        <a href="{{ path('app_user_preference') }}" class="dropdown-item">
                            <span class="fas fa-user-cog"></span>
                            Préférences utilisateur
                        </a>

                        <div class="dropdown-divider"></div>

                        <a href="#" class="dropdown-item">
                            <span class="fas fa-user-secret"></span>
                            Politique de confidentialité
                        </a>

{#                        {% if (is_granted('ROLE_MANAGE_STRUCTURES') and app.user.structure) %}#}
{#                            <div class="dropdown-divider"></div>#}
{#                            <a href="{{ path('security_impersonate_exit') }}" class="dropdown-item">#}
{#                                <span class="fas fa-sign-out-alt"></span> {{ app.user.structure.name }}#}
{#                            </a>#}
{#                        {% endif %}#}

                        <div class="dropdown-divider"></div>

                        <a class="dropdown-item" href="{{ path('app_logout') }}">
                            <span class="fas fa-sign-out-alt"></span>
                            Se déconnecter
                        </a>
                    </div>
                </li>
            </ul>
        {% endif %}
    </div>
</nav>

{{ include('include/_modalChangeOrganisation.html.twig') }}
